﻿@model IEnumerable<IdentityRole>
@using Microsoft.AspNetCore.Authorization
@inject IAuthorizationService authService
@{
    ViewData["Title"] = "Roles";
}

<h2>
    Manages Roles,
    <span><a asp-action="CreateRole" asp-controller="Administration"> add role here.</a></span>
</h2>

<table class="table table-bordered  table-hover">
    <thead>
        <tr>
            <td width="50%">ID</td>
            <td>Name</td>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @if ((await authService.AuthorizeAsync(User, "UpdateRolePolicy")).Succeeded)
                    {
                        <a asp-action="UpdateRole" asp-controller="Administration" asp-route-id="@item.Id"><i class="fa fa-edit text-warning"></i></a>
                    }
                    <a href="#" class="@item.Id"><i class="fa fa-trash-alt text-danger"></i></a>
                    <form hidden method="post" id="@item.Id" asp-route-id="@item.Id" asp-action="DeleteRole">
                    </form>
                    <script type="text/javascript">
                            $(document).ready(function () {
                                $(".@item.Id").on("click",function (e) {
                                    $("#@item.Id").submit();
                                });
                            });
                    </script>
                    @item.Id
                </td>
                <td><i class="fa fa-shield-alt text-muted"></i> @item.Name</td>
            </tr>
        }

    </tbody>
</table>

